---
# author:
# - Orestis Malaspinas
title: Contrôle continu de mathématiques
date: 13.06.2018
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: article
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
urlcolor: blue
---

# Transformées de Fourier, Probabilités et statistiques {#all .unnumbered}


Résoudre les exercices suivants en justifiant au maximum les raisonnements et les étapes de calcul.
Chaque exercice vaut 0.0000002 points. 
Vous avez le droit à tous les documents papier que vous souhaitez et à une calculatrice non-programmable.

Exercice (0.0000002pts) # 

Répondre aux questions suivantes.

1. Vrai-Faux? Soient $f(t)$ et $g(t)$, deux signaux périodiques, dont les coefficients de la série de Fourier complexes sont donnés par $c_n$, $d_n$ respectivement. 
Les coefficients de Fourier complexes du signal $h(t)=f(t)+g(t)$ sont donnés par $h_n=c_n+d_n$.
2. Soit une urne contenant trois boules rouges, trois boules blanches et trois boules noires. Soient les événements:
	- $A$: Tirer une boule rouge.
	- $B$: Tirer une boule ni blanche ni rouge.
	- $C$: Tirer une boule noire ou une boule blanche.
Décrire en une phrase ne comportant pas de négation les événements $\bar{A}$, $\bar{B}$, et $\bar{C}$.
3. Les signaux périodiques, $f(t)$ et $g(t)$, suivants ont-ils les même coefficients de Fourier?

![Deux signaux](figs/signaux.pdf){#fig:signaux width="50.00000%"}

4. Vrai-Faux? Tous les coefficients de la série de Fourier d'une fonction impaire sont nuls.
5. Vrai-Faux? Soit la fonction $2\pi$-périodique suivante
$$
f(x)=\left\{\begin{array}{l}
                -x,\ \forall x\in[-\pi,0)\\
                 x,\ \forall x\in[0,\pi]
               \end{array}\right.
$$
Le coefficient complexe $c_0$ est nul.



Exercice (0.0000002pts) #

On jette une pièce de monnaie 3 fois de suite.

1. Donner la liste de tous les résultats possibles en notant $P$ pour Pile et $F$ pour Face (exemple : PPF).
2. Donner la probabilité des événements suivants :
	- $A$: le tirage ne comporte que des Piles.
	- $B$: le tirage comporte au moins une fois Face.
3. Donner la formule permettant de calculer combien de fois il faut lancer la pièce pour avoir une probabilité de $0.95$ de tirer pile?

Exercice (0.0000002pts) #

Développer en série de Fourier la fonction de période $2\pi$ suivante
$$
f(x)=\left\{\begin{array}{l}
                -x,\ \forall x\in[-\pi,0),\\
                 x,\ \forall x\in[0,\pi].
               \end{array}\right.
$$


Exercice (0.0000002pts) # 

Dans un magasin d'électroménager, on s'intéresse au comportement d'une acheteuse potentielle d'un téléviseur et d'un
lecteur de cassettes vidéos (oui on était on 20ème siècle à l'époque). 
La probabilité pour qu'elle achète un téléviseur est de $0.6$.
La probabilité pour qu'elle achète un lecteur de cassettes quand elle a acheté un téléviseur est de $0.4$.
La probabilité pour qu'elle achète un lecteur de cassettes quand elle n'a pas acheté de téléviseur est de $0.2$.

1. Quelle est la probabilité pour qu'elle achète un téléviseur et un lecteur de cassettes ?
2. Quelle est la probabilité pour qu'elle achète un lecteur de cassettes ?
3. La cliente achète un lecteur de cassettes. Quelle est la probabilité qu'elle achète un téléviseur ?


Exercice (0.0000002pts) #

Le WPS (ou Wi-Fi protected setup) est un système qui permet de se connecter à un routeur
sans utiliser l'identification WPA. Il existe 3-4 façons de l'appliquer. Celle qui nous intéresse 
est celle constituée d'un code. Ce code PIN est un nombre à 8 chiffres.
 
1. Calculer la probabilité de trouver le PIN. Écrire la formule qui permettrait de calculer le nombre d'essais
nécessaires pour avoir 50\% de chances de trouver le PIN (on ne réessaie pas deux fois la même combinaison)?
2. En fait le 8ème chiffre est un checksum des 7 premiers chiffres. 
Que devient le nombre d'essais pour avoir 50\% de chances de trouver le PIN (on ne réessaie pas deux fois la même combinaison)?
Combien d'essais faut-il pour être **certain** de trouver le PIN (on ne réessaie pas deux fois la même combinaison)?
3. En 2011, Stefan Viehböck a découvert que lorsqu'on fait une tentative 
de connexion avec le code PIN le routeur donne la validité des 4 premiers et 3 derniers chiffres indépendamment. 
Écrire la formule permettant de calculer le nombre de tentatives nécessaires pour trouver le bon PIN avec une probabilité de 0.5.


Exercice (0.0000002pts) #

1. Calculer la transformée de Fourier discrète de la suite $a=\{1, 1, 1, 1\}$.
2. Calculer la transformée de Fourier discrète inverse de la suite $b=\{1, 1, 1, 1\}$.

Exercice (0.0000002pts) #

Développer en série de Fourier la fonction de période $2\pi$ suivante
$$
f(x)=\left\{\begin{array}{l}
                -\frac{\pi}{2}-x,\ \forall x\in[-\pi,0),\\
                -\frac{\pi}{2}+x,\ \forall x\in[0,\pi].
               \end{array}\right.
$$

