---
# author:
# - Orestis Malaspinas
title: Exercices d'optimisation
autoSectionLabels: true
autoEqnLabels: false
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: article
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
urlcolor: blue
---
\newcommand{\real}{\mathbb{R}}
\newcommand{\vectwo}[2]{\begin{pmatrix}#1 \\ #2 \end{pmatrix}}
\newcommand{\vecthree}[3]{\begin{pmatrix}#1 \\ #2 \\ #3 \end{pmatrix}}
\newcommand{\mat}[1]{\underline{\underline{#1}}}
\newcommand{\mattwo}[4]{\begin{pmatrix}
								#1 & #2 \\
								#3 & #4
						\end{pmatrix}}

Série d'exercices {#optimisation .unnumbered}
=================

Exercice (Minimisation à une variable) #

1. Calculer les extrémas de la fonction
$$
f(x)=6x^4-3x^2-1.
$$
2. Imaginons que ces extrémas soient en $0$, $-1/2$ et $1/2$ (en fait c'est vraiment le cas, mais je ne vous donnerais pas cette information à l'épreuve). Pour chacun de ces points. Pouvez-vous dire s'il s'agit d'un minimum, maximum ou point d'inflexion?
3. Imaginons que la dérivée de cette fonction soit (encore une fois le hasard fait bien les choses)
   $$
   f'(x)=24x^3-6x,
   $$
   et que sa deuxième dérivée soit
   $$
   f''(x)=72x^2-6.
   $$
   Pouvez-vous écrire deux étapes de l'algorithme de Newton, pour déterminer un minimum, en partant de $x_0=1/4$?
4. Que vaut la 100000ème itération? (Attention ici il faut pas vraiment calculer 100000 itération, si tout s'est bien passé vous connaissez la réponse sans faire de calcul supplémentaire).

Exercice (Fonctions multivariées) #
   
Supposons que nous ayons un nuage de points, $\{(x_i,y_i)\}_{i=1}^N$. On aimerait trouver les paramètres, $a$, $b$, tels qu'on
minimise la distance entre la fonction $y(x)$
$$
y(x)=a\sqrt{x}+b,
$$
et les points.

1. Donner la fonction de coût, $f(a,b)$ associée à ce problème.
2. Calculer les dérivées partielles de $f(a,b)$.
3. Poser le système d'équations qui permet, une fois résolu, de déterminer $a$ et $b$? (Ne tentez pas de le résoudre.)
4. Soient les points
   $$
   (x_0,y_0)=(0,0),\quad(x_1,y_1)=(1,1),\quad(x_2,y_2)=(4,2),
   $$
   écrire le gradient de $f(a,b)$, $\vec \nabla f(a,b)$. (La réponse devrait être ($10a+6b-10$, $6b+6a-6$)).
5. Faire une itération de descente de gradient en partant de $a=0$, $b=0$, et $\lambda=0.1$. (La réponse devrait être $(1,0.6)$.)

